%global pypi_name moviepy

Name:           python-%{pypi_name}
Version:        1.0.3
Release:        %mkrel 9
Group:          Development/Python
Summary:        Video editing with Python
License:        MIT
URL:            https://zulko.github.io/moviepy/
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         moviepy-relax-dependencies.patch
BuildArch:      noarch

%description
MoviePy is a Python library for video editing: cutting, concatenations,
title insertions, video compositing (a.k.a. non-linear editing), video
processing, and creation of custom effects. See the gallery for some
examples of use at https://zulko.github.io/moviepy/gallery.html.

%package -n python3-%{pypi_name}
Summary:        Video editing with Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
MoviePy is a Python3 library for video editing: cutting, concatenations,
title insertions, video compositing (a.k.a. non-linear editing), video
processing, and creation of custom effects. See the gallery for some
examples of use at https://zulko.github.io/moviepy/gallery.html.
This is the Python 3 build of %{pypi_name}.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst docs
%license LICENCE.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.3-9.mga10
+ Revision: 2240278
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.0.3-8.mga10
+ Revision: 2157270
- rebuild for python3.13

* Fri Sep 27 2024 daviddavid <daviddavid> 1.0.3-7.mga10
+ Revision: 2101495
- rebuild against numpy 2

* Fri Feb 23 2024 daviddavid <daviddavid> 1.0.3-6.mga10
+ Revision: 2043643
- relax decorator dependency

* Wed Jan 31 2024 papoteur <papoteur> 1.0.3-5.mga10
+ Revision: 2036448
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.3-4.mga9
+ Revision: 1823581
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.0.3-3.mga9
+ Revision: 1783736
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.0.3-2.mga9
+ Revision: 1707394
- rebuild for python 3.9

* Fri Sep 25 2020 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1630033
- initial package python-moviepy

